Template:Patch: Difference between revisions

Template page
(Created new patch template)
 
m (Protected "Template:Patch": High traffic page ([Edit=Allow only administrators] (indefinite) [Move=Allow only administrators] (indefinite)))
 
(17 intermediate revisions by the same user not shown)
Line 3: Line 3:
|version = Float
|version = Float
|patch  = Wikitext
|patch  = Wikitext
}}</noinclude><includeonly>{{#cargo_store:
|type    = String (allowed values=PPU,SPU,Canary)
|header  = String
}}[[Category:Templates]]</noinclude><includeonly>{{#cargo_store:
_table  = Patch
_table  = Patch
|version = {{{version|}}}
|version = {{{version|}}}
|patch  = {{{content|}}}
|patch  = {{{content|}}}
}}=== Patches ===
|type    = {{{type|}}}
{{#tag:pre|{{{content|}}}|id=patch|class=version-{{{version|}}} mw-collapsible mw-collapsed}}</includeonly>
|header  = {{{header|}}}
[[Category:Templates]]
}}{{#switch: {{{type|}}}
| PPU = <h3>Patches</h3>
| SPU = <h2>{{{header|}}}</h2>
| Canary = <h3>Canary Patches</h3>
}}{{#tag:pre|{{{content|}}}|class=mw-collapsible mw-collapsed}}[[Category:Patches available]]</includeonly><noinclude>
 
This template is used to record patches for RPCS3. All PPU patches must be recorded in the respective game's page whereas SPU patches can be recorded in the [[Help:Game_Patches/SPU|SPU patches]] repository.
 
== Syntax ==
<pre>
{{patch
|type    = <!-- PPU, SPU, Canary -->
|version = 1.2
|content =
<!-- Enter actual patch here. Remember to delete this comment. -->
}}
</pre></noinclude>

Latest revision as of 08:52, 15 January 2022

This template defines the table "Patch". View table.

This template is used to record patches for RPCS3. All PPU patches must be recorded in the respective game's page whereas SPU patches can be recorded in the SPU patches repository.

Syntax

{{patch
|type    = <!-- PPU, SPU, Canary -->
|version = 1.2
|content = 
<!-- Enter actual patch here. Remember to delete this comment. -->
}}